#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hoauth2
version:              2.9.0
visibility:           public
id:                   hoauth2-2.9.0-3O24yGcaFmQ6dVTg2WCRMG
key:                  hoauth2-2.9.0-3O24yGcaFmQ6dVTg2WCRMG
license:              MIT
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    This is Haskell binding of OAuth2 Authorization framework and Bearer Token Usage framework.

category:             Network
abi:                  cb969136e54db8eca9d620aad4ddb5d7
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.TokenRequest
    Network.OAuth2.Experiment
    Network.OAuth2.Experiment.Flows.AuthorizationRequest
    Network.OAuth2.Experiment.Flows.DeviceAuthorizationRequest
    Network.OAuth2.Experiment.Flows.RefreshTokenRequest
    Network.OAuth2.Experiment.Flows.TokenRequest
    Network.OAuth2.Experiment.Flows.UserInfoRequest
    Network.OAuth2.Experiment.Grants.AuthorizationCode
    Network.OAuth2.Experiment.Grants.ClientCredentials
    Network.OAuth2.Experiment.Grants.DeviceAuthorization
    Network.OAuth2.Experiment.Grants.JwtBearer
    Network.OAuth2.Experiment.Grants.ResourceOwnerPassword
    Network.OAuth2.Experiment.Pkce Network.OAuth2.Experiment.Types

hidden-modules:
    Network.HTTP.Client.Contrib Network.OAuth.OAuth2.Internal
    Network.OAuth2.Experiment.Grants Network.OAuth2.Experiment.Utils
    Paths_hoauth2

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hoauth2-2.9.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hoauth2-2.9.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hoauth2-2.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.9.0-3O24yGcaFmQ6dVTg2WCRMG
depends:
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK base-4.17.2.1
    base64-0.4.2.4-KS50GGZ46FufbUamR0e5y binary-0.8.9.1
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-Be2pshLAZbH7b6vRtg2iTK
    data-default-0.7.1.1-1yOEWF3Vf5X1WkNQ8K9cH3 exceptions-0.10.5
    http-conduit-2.3.9.1-3W2U5lOG6Bv8ynAwlUmA6x
    http-types-0.12.4-3U9Wv2ie0NhIMa2ncoKEKC
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd text-2.0.2
    transformers-0.5.6.2 uri-bytestring-0.3.3.1-3EYiQtMyMZs23y6XXD5QxB
    uri-bytestring-aeson-0.1.0.9-C7Hw2mXjXuJGckKTkbTaqM

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

